iPhone 4S Owners Please Read This

If you own an iPhone4S and you are planning for future jailbreak and unlock of your device so that you can change your operator. You should not update your device to 5.0.1 and should keep yourself bound to 5.0 so that it is easy for you to unlock in future because if you jailbreak 5.0.1 there is risk that you may not unlock (once it is released). May be downgrade is also not available in future which you can do now.

It was confirmed by MuscleNerd to iClarified that an untethered iPhone 4S jailbreak for iOS 5.0 will be released at the same time as the iOS 5.0.1 jailbreak, or a day or two later.

This is a standard procedure that if you are looking to unlock it is better to stay at the lowest possible baseband.

To take you out of the confusion I suggest you that if  you have upgraded your ios to 5.0.1 you need to downgrade from build 9A406 to 9A405. Go to Settings –> General —> About and check the version. if it is 5.0.x (9A405) it is OK if it is 5.0.1 (9A406) you need a downgrade. Download the suitable firmware for your device by clicking Here.  This is right ime to act because Apple is still signing both builds and they may stop this very soon since ios 5.1.0 is due to be released and beta version was released for developers.




JOIN US NOW: You will Receive Online iOS Jailbreak & Technology Update In Your Email as Soon as It Is Published.

Enter your email address: